<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:outline="http://code.google.com/p/wkhtmltopdf/outline"
                xmlns="http://www.w3.org/1999/xhtml">
  <xsl:output doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
              doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
              indent="yes" />
  <xsl:template match="outline:outline">
    <html>
      <head>
        <title>Table of Contents</title>
        <style>
          p {
            text-align: center;
            font-size: 24px;
            font-family: verdana;
            font-weight: bold;
            padding-bottom: 2em;
          }
          div {border-bottom: 1px dashed rgb(200,200,200); margin-top: 1.5em; }
          span {float: right;}
          li {list-style: none;}
          ul {
            font-size: 16px;
            font-family: verdana;
            font-weight: bold;
            padding-left: 10%;
          }
          ul ul {font-size: 70%; font-weight: normal; padding-left: 5%;}
          ul ul span {display: none;}
          ul ul ul {display: none;}
          ul ul div {border-bottom: 0px; margin-top: 0.25em;}
          a {text-decoration:none; color: black;}
        </style>
      </head>
      <body style="margin-top: 1.5in; margin-bottom: 1in;">
        <p>Table of Contents</p>
        <ul><xsl:apply-templates select="outline:item/outline:item"/></ul>
      </body>
    </html>
  </xsl:template>
  <xsl:template match="outline:item">
    <li>
      <xsl:if test="@title!=''">
        <div>
          <a>
            <xsl:if test="@link">
              <xsl:attribute name="href"><xsl:value-of select="@link"/></xsl:attribute>
            </xsl:if>
            <xsl:if test="@backLink">
              <xsl:attribute name="name"><xsl:value-of select="@backLink"/></xsl:attribute>
            </xsl:if>
            <xsl:value-of select="@title" /> 
          </a>
          <span> <xsl:value-of select="@page" /> </span>
        </div>
      </xsl:if>
      <ul>
        <xsl:apply-templates select="outline:item"/>
      </ul>
    </li>
  </xsl:template>
</xsl:stylesheet>
